%global realname kdcproxy
Name:                python-%{realname}
Version:             1.0.0
Release:             1
Summary:             MS-KKDCP (kerberos proxy) WSGI module
License:             MIT
URL:                 https://github.com/npmccallum/%{realname}
Source0:             https://github.com/latchset/kdcproxy/releases/download/v1.0.0/kdcproxy-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       python3-devel python3-pytest python3-coverage python3-asn1crypto python3-dns
BuildRequires:       python3-mock python3-pyasn1

%description
This package contains a Python WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%package -n python3-%{realname}
Summary:             MS-KKDCP (kerberos proxy) WSGI module
Requires:            python3-dns python3-asn1crypto
%{?python_provide:%python_provide python3-%{realname}}

%description -n python3-%{realname}
This package contains a Python 3.x WSGI module for proxying KDC requests over
HTTP by following the MS-KKDCP protocol. It aims to be simple to deploy, with
minimal configuration.

%prep
%autosetup -n %{realname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
KDCPROXY_ASN1MOD=asn1crypto %{__python3} -m pytest

%files -n python3-%{realname}
%doc README
%license COPYING
%{python3_sitelib}/%{realname}/
%{python3_sitelib}/%{realname}-%{version}-*.egg-info

%changelog
* Wed Jun 29 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.0.0-1
- Upgrade to version 1.0.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.4.2-5
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Tue Jun 30 2020 leiju <leiju4@huawei.com> - 0.4.2-4
- Package init
